Name:		dmlite-plugins-s3
Version:	0.7.1
Release:	1%{?dist}
Summary:	S3 plugin for dmlite
Group:		Applications/Internet
License:	ASL 2.0
URL:		https://svnweb.cern.ch/trac/lcgdm
# The source of this package was pulled from upstream's vcs. Use the
# following commands to generate the tarball:
# svn export http://svn.cern.ch/guest/lcgdm/dmlite-plugins-s3/tags/dmlite-plugins-s3_0_5_0 dmlite-plugins-s3-0.5.0
# tar -czvf dmlite-plugins-s3-0.5.0.tar.gz dmlite-plugins-s3-0.5.0
Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{?fedora}%{!?fedora:0} >= 17 || %{?rhel}%{!?rhel:0} >= 7
BuildRequires: boost-devel >= 1.48.0
%else
BuildRequires: boost148-devel >= 1.48.0
%endif

BuildRequires:	cmake
BuildRequires:	dmlite-devel >= 0.7.0
BuildRequires:  dmlite-private-devel >= 0.7.0
BuildRequires:	neon-devel
BuildRequires:	openssl-devel
BuildRequires:	protobuf-devel

Requires:	dmlite-libs >= 0.7.0

%description
This package provides the S3 plugin for dmlite. It provides access
to data stored in a S3 cloud provider from the DPM namespace.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake . -DCMAKE_INSTALL_PREFIX=/

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%{_libdir}/dmlite/plugin_s3.so
%doc LICENSE README RELEASE-NOTES
%config(noreplace) %{_sysconfdir}/dmlite.conf.d/*

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 05 2016 Andrea Manzi <andrea.manzi@cern.ch> - 0.7.0-4
- rebuild for new protobuf version

* Mon Feb 16 2016 Andrea Manzi <andrea.manzi@cern.ch> - 0.7.0-3
- fix build on F24

* Mon Nov 30 2015 Andrea Manzi <andrea.manzi@cern.ch> - 0.7.0-2
- fix build with cmake 2.8

* Fri Jul 11 2014 Andrea Manzi <andrea.manzi@cern.ch> - 0.7.0-1
- adapted to dmlite 0.7.0

* Wed Feb 19 2014 Martin Hellmich <martin.hellmich@cern.ch> - 0.5.1-2
- Update for new upstream release

* Wed Dec 19 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.5.0-1
- Update for new upstream release

* Wed Oct 18 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.4.0-1
- Update for new upstream release

* Mon Jul 23 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.3.0-1
- Initial build after dmlite package split
